"""
MIT License

Copyright (c) 2019-present Josh B

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""

__title__ = 'donphan'
__author__ = 'Bijij'
__license__ = 'MIT'
__copyright__ = 'Copyright 2020 Bijij'
__version__ = '3.1.0'

from .column import Column as Column
from .connection import (
    create_pool as create_pool,
    MaybeAcquire as MaybeAcquire,
    TYPE_CODECS as TYPE_CODECS,
    OPTIONAL_CODECS as OPTIONAL_CODECS
)
from .table import (
    create_tables as create_tables,
    Table as Table
)
from .types import (
    create_types as create_types,
    enum as enum,
    Enum as Enum
)
from .sqltype import SQLType as SQLType
from .view import (
    create_views as create_views,
    View as View
)
